io.etcd.jetcd.api

## Class MaintenanceGrpc.MaintenanceBlockingStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractBlockingStub<MaintenanceGrpc.MaintenanceBlockingStub>
    - - io.etcd.jetcd.api.MaintenanceGrpc.MaintenanceBlockingStub

Enclosing class:
  MaintenanceGrpc

    public static final class MaintenanceGrpc.MaintenanceBlockingStub
    extends io.grpc.stub.AbstractBlockingStub<MaintenanceGrpc.MaintenanceBlockingStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`AlarmResponse` `alarm(AlarmRequest request)` Alarm activates, deactivates, and queries alarms regarding cluster health.
`protected MaintenanceGrpc.MaintenanceBlockingStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`DefragmentResponse` `defragment(DefragmentRequest request)` Defragment defragments a member's backend database to recover storage space.
`HashResponse` `hash(HashRequest request)` Hash returns the hash of the local KV state for consistency checking purpose.
`HashKVResponse` `hashKV(HashKVRequest request)` HashKV computes the hash of all MVCC keys up to a given revision.
`MoveLeaderResponse` `moveLeader(MoveLeaderRequest request)` MoveLeader requests current leader node to transfer its leadership to transferee.
`Iterator<SnapshotResponse>` `snapshot(SnapshotRequest request)` Snapshot sends a snapshot of the entire backend from a member over a stream to a client.
`StatusResponse` `status(StatusRequest request)` Status gets the status of the member.

### Methods inherited from class io.grpc.stub.AbstractBlockingStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected MaintenanceGrpc.MaintenanceBlockingStub build(io.grpc.Channel channel,
                                                            io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<MaintenanceGrpc.MaintenanceBlockingStub>`

#### alarm

    public AlarmResponse alarm(AlarmRequest request)

     Alarm activates, deactivates, and queries alarms regarding cluster health.

#### status

    public StatusResponse status(StatusRequest request)

     Status gets the status of the member.

#### defragment

    public DefragmentResponse defragment(DefragmentRequest request)

     Defragment defragments a member's backend database to recover storage space.

#### hash

    public HashResponse hash(HashRequest request)

     Hash returns the hash of the local KV state for consistency checking purpose.
     This is designed for testing; do not use this in production when there
     are ongoing transactions.

#### hashKV

    public HashKVResponse hashKV(HashKVRequest request)

     HashKV computes the hash of all MVCC keys up to a given revision.

#### snapshot

    public Iterator<SnapshotResponse> snapshot(SnapshotRequest request)

     Snapshot sends a snapshot of the entire backend from a member over a stream to a client.

#### moveLeader

    public MoveLeaderResponse moveLeader(MoveLeaderRequest request)

     MoveLeader requests current leader node to transfer its leadership to transferee.